Bug 56609 - https://github.com/xamarin/xamarin-forms-samples/tree/master/Effects/BackgroundColorEffect/UWP (Xamarin Forms 2.3.5.239-pre3)
Summary: https://github.com/xamarin/xamarin-forms-samples/tree/master/Effects/Backgrou...
Status: RESOLVED FIXED
Alias: None
Product: Forms
Classification: Xamarin
Component: Windows (show other bugs)
Version: 2.3.5
Hardware: PC Windows
: Low normal
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2017-05-18 11:01 UTC by kwame wallace
Modified: 2017-05-26 11:11 UTC (History)
4 users (show)

Tags: UWP, Samples ac
Is this bug a regression?: Yes
Last known good build: 2.3.4.247

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description kwame wallace 2017-05-18 11:01:18 UTC
# Steps to reproduce

1.

Clone the master samples project https://github.com/xamarin/xamarin-forms-samples (which uses Xamarin.Forms to 2.3.4.224)

Open the and execute the UWP EffectDemo https://github.com/xamarin/xamarin-forms-samples/tree/master/Effects/FocusEffect

And it works as expected with the background changing when the  Entry element is focused or unfocused.

2.

With Visual Studio 2017 choose "Manage Nuget for Solution" with pre release selected. Upgrade Xamarin.Forms from 2.3.4.224 to 2.3.5.239-pre3

Re-compile and deploy the the UWP project.

And the demo no longer works as expected, the BackgroundFocusBrush color is ignored.

# Expected behavior

The background color of  Entry element should change when focused or unfocused.

# Actual behavior

The background color of  Entry element does not change when focused or unfocused when using the pre release of xamarin forms.

# Supplemental info (logs, images, videos)


# Test environment (full version information)

Visual Studio 2017
Mobile Emulator 10.0.14393.0 WVGA 4 inch 1GB
Comment 1 Samantha Houts [MSFT] 2017-05-24 17:24:25 UTC
https://github.com/xamarin/Xamarin.Forms/pull/928
Comment 2 Rui Marinho 2017-05-26 11:11:11 UTC
Should be fixed on 2.3.6-pre1